export declare const AMINO_ACIDS: readonly ["G", "A", "V", "L", "I", "F", "W", "M", "P", "S", "T", "C", "Y", "N", "Q", "D", "E", "K", "R", "H", "-", "?", "X", "*"];
export declare type AminoAcid = typeof AMINO_ACIDS[number];
export declare const NUCLEOTIDES: readonly ["A", "C", "G", "T", "N", "-", "?", "."];
export declare type Nucleotide = typeof NUCLEOTIDES[number];
export declare type BioLetter = AminoAcid | Nucleotide;
export declare type ColorMap = Map<BioLetter, string>;
export declare type PaletteName = 'polarity' | 'individual';
declare type PaletteMap = Map<PaletteName, ColorMap>;
export declare const aaColors: PaletteMap;
export {};
